Skip to main content
GET
/
o
/
{organisation_id}
/
connectors
List Connectors
curl --request GET \
  --url https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 123,
  "connectors": [
    {
      "id": "<string>",
      "organisationId": "<string>",
      "name": "<string>",
      "public": true,
      "protocol": "http",
      "authSchemeConfigs": [
        {
          "id": "<string>",
          "description": "<string>",
          "schemeType": "<string>",
          "validationMessages": [
            {
              "text": "<string>",
              "severity": "info",
              "detail": [
                "<string>"
              ]
            }
          ]
        }
      ],
      "connections": [
        {
          "id": "<string>",
          "name": "<string>",
          "credentials": {
            "action": [
              {
                "id": "<string>",
                "authSchemeConfig": {
                  "id": "<string>",
                  "description": "<string>",
                  "schemeType": "<string>",
                  "validationMessages": [
                    {
                      "text": "<string>",
                      "severity": "info",
                      "detail": [
                        "<string>"
                      ]
                    }
                  ]
                },
                "credential": {
                  "id": "<string>",
                  "organisationId": "<string>",
                  "type": "none",
                  "name": "<string>",
                  "data": {},
                  "usages": [
                    {
                      "connection": {
                        "id": "<string>",
                        "name": "<string>",
                        "connector": {
                          "id": "<string>",
                          "organisationId": "<string>",
                          "name": "<string>",
                          "protocol": "http",
                          "createdAt": "2023-11-07T05:31:56Z",
                          "updatedAt": "2023-11-07T05:31:56Z"
                        },
                        "createdAt": "2023-11-07T05:31:56Z",
                        "updatedAt": "2023-11-07T05:31:56Z"
                      }
                    }
                  ],
                  "errors": [
                    "<string>"
                  ],
                  "expiresAt": "2023-11-07T05:31:56Z"
                }
              }
            ],
            "trigger": [
              {
                "id": "<string>",
                "authSchemeConfig": {
                  "id": "<string>",
                  "description": "<string>",
                  "schemeType": "<string>",
                  "validationMessages": [
                    {
                      "text": "<string>",
                      "severity": "info",
                      "detail": [
                        "<string>"
                      ]
                    }
                  ]
                },
                "credential": {
                  "id": "<string>",
                  "organisationId": "<string>",
                  "type": "none",
                  "name": "<string>",
                  "data": {},
                  "usages": [
                    {
                      "connection": {
                        "id": "<string>",
                        "name": "<string>",
                        "connector": {
                          "id": "<string>",
                          "organisationId": "<string>",
                          "name": "<string>",
                          "protocol": "http",
                          "createdAt": "2023-11-07T05:31:56Z",
                          "updatedAt": "2023-11-07T05:31:56Z"
                        },
                        "createdAt": "2023-11-07T05:31:56Z",
                        "updatedAt": "2023-11-07T05:31:56Z"
                      }
                    }
                  ],
                  "errors": [
                    "<string>"
                  ],
                  "expiresAt": "2023-11-07T05:31:56Z"
                }
              }
            ]
          },
          "variables": [
            {
              "name": "<string>",
              "value": "<string>"
            }
          ],
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "versions": [
        {
          "id": "<string>",
          "name": "<string>",
          "isLatest": true,
          "isDefault": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "publishedAt": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "messages": [
            {
              "text": "<string>",
              "severity": "info",
              "detail": [
                "<string>"
              ]
            }
          ]
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "baseUrl": "<string>",
      "documentationURL": "<string>",
      "imageURL": "<string>",
      "tags": {},
      "connectionVariables": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "next": "<string>",
  "prev": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Query Parameters

first
integer
default:20
after
string
before
string
sort
string
Pattern: ^([^:,]+:[^:,]+)(,[^:,]+:[^:,]+)*$
tags
string

Allows you to search using tags. The format needs to be like <key>:<?value>, with multiple tags separated by a ,. Each tag needs to have a key but value is optional.

Example: "category:e-commerce,business"

categories
enum<string>[]

Allows you to search connectors by category. You can search for connectors with multiple categories by providing an array of categories.

For example: "?categories=category1&categories=category2&categories=category3".

Available options:
Development & IT,
ERP,
Supply Chain & Logistics,
Communication,
Accounting,
Hospitality,
Productivity,
HR,
CRM,
AI/LLMs,
eCommerce,
Business Operations
protocol
string

Protocol filters the returned Connectors using a case-insensitive substring-match.

name
string

Name filters the returned Connectors using a case-insensitive substring-match.

Response

OK

ConnectorPage is a page of Connectors.

totalCount
integer
required
connectors
object[]
required

Connector represents a connector to an external system.

next
string
prev
string